#
# Packaging of opensched for distribution
#
Name: opensched
Version: 0.4.3
Release: 1
Summary: Packaging of opensched %{version} for distribution
Group: Applications
Source: opensched-%{version}.tar.gz
URL: http://opensched.sourceforge.org/
Distribution: Opensched
License: GPL
Packager: Ismael Olea <ismael@olea.org>
Buildroot: %{_tmppath}/%{name}-root

%description
This program is used to automatically schedule resources for a
project.  For instance, if 5 programmers cooperate on a software
development project, and 100 tasks must be done, opensched can
capture information about who can do what, what tasks depend on what
other tasks, and assign programmers and times to each task.

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# system
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -s src/opensched $RPM_BUILD_ROOT%{_bindir}/opensched
install src/opensched_eps2png $RPM_BUILD_ROOT%{_bindir}/opensched_eps2png
install src/opensched_eps2gif $RPM_BUILD_ROOT%{_bindir}/opensched_eps2gif
install --mode=666 doc/opensched.1 $RPM_BUILD_ROOT%{_mandir}/man1/opensched.1
install --mode=666 doc/opensched_eps2gif.1 $RPM_BUILD_ROOT%{_mandir}/man1/opensched_eps2gif.1
install --mode=666 doc/opensched_eps2png.1 $RPM_BUILD_ROOT%{_mandir}/man1/opensched_eps2png.1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
%{_bindir}/opensched
%{_bindir}/opensched_eps2png
%{_bindir}/opensched_eps2gif
%{_mandir}/man1/opensched.1.gz
%{_mandir}/man1/opensched_eps2png.1.gz
%{_mandir}/man1/opensched_eps2gif.1.gz
%doc USAGE TODO README README.OS2 NEWS 
%docdir gui/
%doc gui/README gui/*html 
%docdir examples/
%docdir examples/sample/
%docdir examples/toffee/
%doc examples/sample/*png examples/sample/*html examples/sample/*pdf examples/sample/*sched 
%doc examples/toffee/*png examples/toffee/*html examples/toffee/*pdf examples/toffee/*sched

%changelog
* Fri Aug 29 2003 Ismael Olea <ismael@olea.org>
- Enhanced spec for file 0.4.3
 